*****************************************************************
************ UPDATE ------ Demonstration program 1 **************
******************************************************* DEMO1.PRG
*
* * Copyright(c) 1988-1990 - James Occhiogrosso, - Holbrook, N.Y.
*
*
PARAMETER test_dbfs

* Application EXE file name
app_exe = 'DEMO1.EXE'

* Application version file name
app_vers = 'TESTVERS.DAT'

* Application data dictionary name
app_dict = 'TESTDICT.DAT'

* If an argument is passed, see if it contains the word NEW
IF TYPE('test_dbfs') = 'C'
    test_dbfs = IF( UPPER(test_dbfs) == 'NEW', .T., .F. )
ELSE
    test_dbfs = .F.
ENDIF

* Turn on some colors and clear the screen

IIF( ISCOLOR(), SETCOLOR('W+/B'), SETCOLOR('W+/N') )
CLEAR

* The environment variable TESTING is used on your system along
* with a passed argument (test_dbfs) to avoid comparing the
* application databases to the data dictionary each time you
* recompile. When you want to force your application to test and
* update the databases, pass the command line argument "NEW".
* Since your clients machine has both the environment variable
* and passed argument missing, the version is always tested.

* Test for development environment

IF ! (GETE('TESTING') = 'YES') .OR. test_dbfs

    * Test for proper version
    IF U_NEWVERS(app_exe, app_vers)
        U_MAKEDBF(app_dict)
    ENDIF

ENDIF

@ 23, 0 SAY 'Your application is now running'
RETURN

